List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/machines \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/machines"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/machines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/machines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 2233,
"brand": "John Deere",
"model": "9650",
"year": 0,
"beak_distance": null,
"tank": null,
"driver": "A",
"applicator_id": 1615,
"application_method_id": null,
"platform_width": "9.00",
"has_pilot": true,
"has_harvest_map": true,
"machine_type_id": 2,
"machine_threshing_system_id": null,
"machine_head_id": null,
"created_at": "2019-04-08T10:20:04-03:00",
"modified_at": "2021-04-21T09:36:32-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2234,
"brand": "New Holland",
"model": "Defensor 3500",
"year": 0,
"beak_distance": "0.000000",
"tank": 0,
"driver": "A",
"applicator_id": 1615,
"application_method_id": 4,
"platform_width": "22.00",
"has_pilot": true,
"has_harvest_map": true,
"machine_type_id": 1,
"machine_threshing_system_id": null,
"machine_head_id": null,
"created_at": "2019-04-08T10:20:48-03:00",
"modified_at": "2023-05-15T09:53:54-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2235,
"brand": "crucianelli",
"model": null,
"year": 2018,
"beak_distance": null,
"tank": null,
"driver": "A",
"applicator_id": 1615,
"application_method_id": null,
"platform_width": "12.00",
"has_pilot": true,
"has_harvest_map": true,
"machine_type_id": 3,
"machine_threshing_system_id": null,
"machine_head_id": null,
"created_at": "2019-04-08T10:21:20-03:00",
"modified_at": "2023-05-15T09:58:59-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2311,
"brand": "John Deere",
"model": "9670",
"year": 0,
"beak_distance": null,
"tank": null,
"driver": "a",
"applicator_id": 1598,
"application_method_id": null,
"platform_width": "0.00",
"has_pilot": true,
"has_harvest_map": true,
"machine_type_id": 2,
"machine_threshing_system_id": null,
"machine_head_id": null,
"created_at": "2019-04-23T10:59:53-03:00",
"modified_at": "2021-06-14T12:59:40-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2312,
"brand": "NEW HOLLAND",
"model": null,
"year": 0,
"beak_distance": null,
"tank": null,
"driver": "B",
"applicator_id": 1658,
"application_method_id": null,
"platform_width": "0.00",
"has_pilot": false,
"has_harvest_map": false,
"machine_type_id": 2,
"machine_threshing_system_id": null,
"machine_head_id": null,
"created_at": "2019-04-23T11:00:41-03:00",
"modified_at": "2020-10-23T13:48:18-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 2,
"total_pages": 3,
"total_items": 13
}Version 3 > Machines
List
GET
/
api
/
v3
/
third_party
/
machines
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

